// For z-pass (r_ppl = 1)

_z_pass_opaque.vsh
{
	uniform	mat4	u_ModelViewMatrix;
	uniform	mat4	u_ModelViewProjectionMatrix;
	include deforms.inc
	#if defined(CLIP)
		out	vec3	v_clipVertex;
	#endif
	void main(void)
	{
		mat2 dummy;
		vec4 glVertex = DeformGeometry(dummy);
		gl_Position = u_ModelViewProjectionMatrix * glVertex;
		include clipVertex.inc
	}
}

_z_pass_opaque.fsh
{
	#if defined(CLIP)
		uniform vec4	u_clipPlane;
		in	vec3	v_clipVertex;
	#endif
	out	vec4	fragData;
	void main(void)
	{
		include clipPlane.inc
		fragData = vec4( 0.0, 0.0, 0.0, 1.0 );
	}
}
